# Generated by Django 4.2 on 2024-03-04 17:00

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='Category',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('title', models.CharField(max_length=255, verbose_name='Название')),
                ('title_ru', models.CharField(max_length=255, null=True, verbose_name='Название')),
                ('title_ky', models.CharField(max_length=255, null=True, verbose_name='Название')),
            ],
            options={
                'verbose_name': 'категорию',
                'verbose_name_plural': 'Категории',
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='SubCategory',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('title', models.CharField(max_length=255, verbose_name='Название')),
                ('title_ru', models.CharField(max_length=255, null=True, verbose_name='Название')),
                ('title_ky', models.CharField(max_length=255, null=True, verbose_name='Название')),
                ('image', models.ImageField(upload_to='video_library/category_image/', verbose_name='Изображение')),
                ('category', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='subcategories', to='video_library.category', verbose_name='Категория')),
            ],
            options={
                'verbose_name': 'Подкатегорию',
                'verbose_name_plural': 'Подкатегории',
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='Video',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('title', models.CharField(max_length=255, verbose_name='Название')),
                ('title_ru', models.CharField(max_length=255, null=True, verbose_name='Название')),
                ('title_ky', models.CharField(max_length=255, null=True, verbose_name='Название')),
                ('video_url', models.URLField(verbose_name='Ссылка на видео')),
                ('video_url_ru', models.URLField(null=True, verbose_name='Ссылка на видео')),
                ('video_url_ky', models.URLField(null=True, verbose_name='Ссылка на видео')),
                ('subcategory', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='videos', to='video_library.subcategory', verbose_name='Подкатегория')),
            ],
            options={
                'verbose_name': 'видеоуроки',
                'verbose_name_plural': 'Видеоуроки',
                'abstract': False,
            },
        ),
    ]
